Bug 1319477 - Multithreaded MUMPS
Summary: Multithreaded MUMPS
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: MUMPS
Version: 23
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Antonio
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-20 13:34 UTC by Darcy
Modified: 2016-04-06 17:21 UTC (History)
1 user (show)

Fixed In Version: MUMPS-5.0.1-18.fc24 MUMPS-5.0.1-18.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-02 15:56:04 UTC


Attachments (Terms of Use)

Description Darcy 2016-03-20 13:34:31 UTC
Description of problem:
MUMPS uses one thread during assembly/factorization.

Version-Release number of selected component (if applicable):
5.x

How reproducible:
Trivial.

Steps to Reproduce:
1. Solve linear system using MUMPS.
2. Note only one core usage

1. Compile MUMPS with -fopenmp flag
2. Link to openblaso (omp BLAS)
3. Note full core usage

Actual results:
One CPU is used.

Expected results:
All cores are used.  It would be nice to have another package called MUMPS-OMP (or similar) to denote multithreading is enabled.

Additional info:

Better performance (in the case I tested) can be had by compiling with -fopenmp and linked against an OpenMP compatible BLAS (openblaso for example).

https://hal.inria.fr/inria-00524249/PDF/RR-7411.pdf

Comment 1 Antonio 2016-03-20 19:37:17 UTC
Thanks for your feedback.

Comment 2 Antonio 2016-03-21 21:07:25 UTC
Please, test this new release: 
http://koji.fedoraproject.org/koji/taskinfo?taskID=13414785

Comment 3 Antonio 2016-03-21 21:11:11 UTC
(In reply to Antonio Trande from comment #2)
> Please, test this new release: 
> http://koji.fedoraproject.org/koji/taskinfo?taskID=13414785

MUMPS-openmp libraries have been renamed as lib?mump"o".so in order to differentiate them by those without OpenMP support.

Comment 4 Darcy 2016-03-21 22:30:16 UTC
Installed RPMs and tested.  Ldd shows that libdmumpso.so points to libopenblaso and the openmp variants.  I can confirm threading is now working.

Many thanks!

Comment 5 Antonio 2016-03-22 13:30:23 UTC
(In reply to Darcy from comment #4)
> Installed RPMs and tested.  Ldd shows that libdmumpso.so points to
> libopenblaso and the openmp variants.  I can confirm threading is now
> working.
> 
> Many thanks!

Good!
I push MUMPS-5.0.1-13 on pkgdb.

Comment 6 Fedora Update System 2016-03-22 18:16:51 UTC
MUMPS-5.0.1-13.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8d7eb567ce

Comment 7 Fedora Update System 2016-03-22 18:16:56 UTC
MUMPS-5.0.1-13.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f5ea1e0afa

Comment 8 Fedora Update System 2016-03-22 18:17:01 UTC
MUMPS-5.0.1-13.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-9c1c87db73

Comment 9 Fedora Update System 2016-03-22 18:17:05 UTC
MUMPS-5.0.1-13.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-de58deb496

Comment 10 Fedora Update System 2016-03-22 22:39:00 UTC
MUMPS-5.0.1-14.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-03a6e95261

Comment 11 Fedora Update System 2016-03-22 22:39:04 UTC
MUMPS-5.0.1-14.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1eeead4207

Comment 12 Fedora Update System 2016-03-23 15:49:27 UTC
MUMPS-5.0.1-15.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0514b6c10f

Comment 13 Fedora Update System 2016-03-23 15:49:31 UTC
MUMPS-5.0.1-15.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-269ffc2698

Comment 14 Fedora Update System 2016-03-23 15:49:35 UTC
MUMPS-5.0.1-15.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-aaae552a4f

Comment 15 Fedora Update System 2016-03-23 15:49:39 UTC
MUMPS-5.0.1-15.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-cf9a00e579

Comment 16 Fedora Update System 2016-03-23 17:59:49 UTC
MUMPS-5.0.1-16.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-553caa6908

Comment 17 Fedora Update System 2016-03-23 17:59:53 UTC
MUMPS-5.0.1-16.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-bb5657dae0

Comment 18 Fedora Update System 2016-03-23 21:33:45 UTC
MUMPS-5.0.1-17.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6b8cdeb27a

Comment 19 Fedora Update System 2016-03-23 21:33:49 UTC
MUMPS-5.0.1-17.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b984226e7d

Comment 20 Fedora Update System 2016-03-23 23:56:25 UTC
MUMPS-5.0.1-18.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-23efca462f

Comment 21 Fedora Update System 2016-03-23 23:56:30 UTC
MUMPS-5.0.1-18.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-50b93c9242

Comment 22 Fedora Update System 2016-03-24 15:49:19 UTC
MUMPS-5.0.1-15.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-cf9a00e579

Comment 23 Fedora Update System 2016-03-24 15:50:13 UTC
MUMPS-5.0.1-15.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0514b6c10f

Comment 24 Fedora Update System 2016-03-25 20:28:37 UTC
MUMPS-5.0.1-18.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-23efca462f

Comment 25 Fedora Update System 2016-03-26 15:20:32 UTC
MUMPS-5.0.1-18.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-50b93c9242

Comment 26 Fedora Update System 2016-04-02 15:56:02 UTC
MUMPS-5.0.1-18.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 27 Fedora Update System 2016-04-06 17:20:59 UTC
MUMPS-5.0.1-18.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.